Opened 11 years ago

Closed 11 years ago

Last modified 10 years ago

#144 closed Feature request (fixed)

Setup should support upgrade when installing new version

Reported by: Arno Wacker Owned by: saternus
Priority: Important Milestone:
Component: Installer Keywords:
Cc:

Description (last modified by Matthäus Wander)

Currently when trying to install a newer setup build, the setup aborts with the message, that it needs to be deinstalled first.

This behaviour is undesireable and should be changed to automatically deinstall/overwrite old versions - just like the old installer.

Applies to both, nightly and stable setups.

Change History (5)

comment:1 Changed 11 years ago by Matthäus Wander

Type: BugFeature request

comment:2 Changed 11 years ago by Matthäus Wander

Description: modified (diff)
Summary: Nightly build setups need deinstallation before installing new versionBuild should support upgrade when installing new version

comment:3 Changed 11 years ago by Matthäus Wander

Summary: Build should support upgrade when installing new versionSetup should support upgrade when installing new version

comment:4 Changed 11 years ago by saternus

Resolution: fixed
Status: newclosed

comment:5 Changed 10 years ago by Matthäus Wander

Milestone: CrypTool 2.0 RELEASE
Note: See TracTickets for help on using tickets.